[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# EncodeStringBase64

Encode a string with Base64 encoding and return the result as a string.

## Declaration

Source position: base64.pp line 89

`function EncodeStringBase64(`
`const s: string`
`):string;`

## Arguments

`s` |  | The string to encode with base64

## Function result

The Base64 encoded version of S

## Description

EncodeStringBase64 encodes the string s using Base 64 encoding and returns the result. It uses a TBase64EncodingStream to do this.

## See also

DecodeStringBase64 |  | Decodes a Base64 encoded string and returns the decoded data as a string.
TBase64EncodingStream |  | Base64 encoding stream.

Documentation generated on: Feb 26 2014